org.keycloak.authentication

## Enum FlowStatus

- java.lang.Object
- - java.lang.Enum<FlowStatus>
  - - org.keycloak.authentication.FlowStatus

- All Implemented Interfaces:
    Serializable, Comparable<FlowStatus>

      public enum FlowStatus
      extends Enum<FlowStatus>

  Status of an execution/authenticator in a Authentication Flow
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTEMPTED` This is not an error condition.
    `CHALLENGE` Execution offered a challenge.
    `FAILED` Flow will be aborted.
    `FAILURE_CHALLENGE` Flow will be aborted and a Response provided by the execution will be sent.
    `FLOW_RESET` This flow was reset to the beginning.
    `FORCE_CHALLENGE` Irregardless of the execution's requirement, this challenge will be sent to the user.
    `FORK` This flow is being forked.
    `SUCCESS` Successful execution

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FlowStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FlowStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final FlowStatus SUCCESS

      Successful execution

    - #### CHALLENGE

          public static final FlowStatus CHALLENGE

      Execution offered a challenge. Optional executions will ignore this challenge. Alternative executions may ignore the challenge depending on the status of other executions in the flow.

    - #### FORCE_CHALLENGE

          public static final FlowStatus FORCE_CHALLENGE

      Irregardless of the execution's requirement, this challenge will be sent to the user.

    - #### FAILURE_CHALLENGE

          public static final FlowStatus FAILURE_CHALLENGE

      Flow will be aborted and a Response provided by the execution will be sent.

    - #### FAILED

          public static final FlowStatus FAILED

      Flow will be aborted.

    - #### ATTEMPTED

          public static final FlowStatus ATTEMPTED

      This is not an error condition. Execution was attempted, but the authenticator is unable to process the request. An example of this is if a Kerberos authenticator did not see a negotiate header. There was no error, but the execution was attempted.

    - #### FORK

          public static final FlowStatus FORK

      This flow is being forked. The current authentication session is being cloned, reset, and redirected to browser login.

    - #### FLOW_RESET

          public static final FlowStatus FLOW_RESET

      This flow was reset to the beginning. An example is hitting cancel on the OTP page which will bring you back to the username password page.

  - ### Method Detail

    - #### values

          public static FlowStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlowStatus c : FlowStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlowStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.